FileLocation (CMDB Model API)
Keywords: com.collation.platform.model.provision.definition.FileLocation interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.provision.definition
Interface FileLocation

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface FileLocation

extends ModelObject

Naming Rules:
  0="host,path"
Persistable:
  true
Table Name:
  FILELOC
Display Name:
  host,path

Method Summary
`java.lang.String` | `getChecksum()`
`java.lang.String` | `getHost()`
`java.lang.String` | `getPath()`
`boolean` | `hasChecksum()`
`boolean` | `hasHost()`
`boolean` | `hasPath()`
`void` | `setChecksum(java.lang.String s)`
`void` | `setHost(java.lang.String s)`
`void` | `setPath(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setHost

    void setHost(java.lang.String s)

### getHost

    java.lang.String getHost()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasHost

    boolean hasHost()

### setPath

    void setPath(java.lang.String s)

### getPath

    java.lang.String getPath()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasPath

    boolean hasPath()

### setChecksum

    void setChecksum(java.lang.String s)

### getChecksum

    java.lang.String getChecksum()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasChecksum

    boolean hasChecksum()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD